import pytest

from Pages.login_page import LoginPage
from Util.Util import DriverUtils


class TestLogin:
    @pytest.fixture()
    def setup(self):
        print("\nSetup - Before Test")
        # 进行一些初始化工作
        self.driver = DriverUtils.get_web_driver()
        self.driver.get('https://rays7.raysgo.com/login')
        self.login_page = LoginPage()
        # 如果有返回值，测试函数可以使用这个返回值
        yield "Setup data"
        # 后置条件 - 在测试运行后执行
        print("\nTeardown - After Test")
        # 进行一些清理工作


    @pytest.mark.run
    def test_case01(self, setup):
        self.login_page.login_username(username="17373027967", password="3149390154Li")
